Package icyllis.arc3d.core

# Class NoDrawCanvas

java.lang.Object
icyllis.arc3d.core.Canvas
icyllis.arc3d.core.NoDrawCanvas

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `NWayCanvas`

public class NoDrawCanvas extends Canvas

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.core.Canvas

  `Canvas.PointMode, Canvas.SaveLayerFlag, Canvas.SrcRectConstraint`

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Canvas

  `F16_COLOR_TYPE_SAVE_LAYER_FLAG, FULL_LAYER_SAVE_LAYER_STRATEGY, INIT_WITH_PREVIOUS_SAVE_LAYER_FLAG, NO_LAYER_SAVE_LAYER_STRATEGY, POINT_MODE_LINES, POINT_MODE_POINTS, POINT_MODE_POLYGON, SRC_RECT_CONSTRAINT_FAST, SRC_RECT_CONSTRAINT_STRICT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoDrawCanvas(int width, int height)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `onDrawArc(float cx, float cy, float radius, float startAngle, float sweepAngle, int cap, float width, Paint paint)`
  `protected void`
  `onDrawChord(float cx, float cy, float radius, float startAngle, float sweepAngle, Paint paint)`
  `protected void`
  `onDrawCircle(float cx, float cy, float radius, Paint paint)`
  `protected void`
  `onDrawGlyphRunList(GlyphRunList glyphRunList, Paint paint)`
  `protected void`
  `onDrawImageRect(@RawPtr Image image, Rect2fc src, Rect2fc dst, SamplingOptions sampling, Paint paint, int constraint)`
  `protected void`
  `onDrawLine(float x0, float y0, float x1, float y1, int cap, float width, Paint paint)`
  `protected void`
  `onDrawPaint(Paint paint)`
  `protected void`
  `onDrawPie(float cx, float cy, float radius, float startAngle, float sweepAngle, Paint paint)`
  `protected void`
  `onDrawPoints(int mode, float[] pts, int offset, int count, Paint paint)`
  `protected void`
  `onDrawRect(Rect2fc r, Paint paint)`
  `protected void`
  `onDrawRoundRect(RoundRect rr, Paint paint)`
  `protected void`
  `onDrawTextBlob(TextBlob blob, float originX, float originY, Paint paint)`
  `protected void`
  `onDrawVertices(Vertices vertices, @SharedPtr Blender blender, Paint paint)`

  ### Methods inherited from class icyllis.arc3d.core.Canvas

  `clear, clear, clipRect, clipRect, clipRect, clipRect, clipRect, clipRect, clipRect, clipRect, clipRect, close, concat, concat, didConcat, didRestore, didScale, didSetMatrix, didTranslate, discard, drawArc, drawArc, drawChord, drawCircle, drawColor, drawColor, drawColor, drawColor, drawGlyphs, drawImage, drawImageRect, drawImageRect, drawLine, drawLine, drawPaint, drawPie, drawPoint, drawPoint, drawPoints, drawRect, drawRect, drawRect, drawRoundRect, drawRoundRect, drawRoundRect, drawRoundRect, drawRoundRect, drawTextBlob, drawTriangle, drawVertices, getBaseLayerHeight, getBaseLayerWidth, getDeviceClipBounds, getImageInfo, getLocalClipBounds, getLocalToDevice, getLocalToDevice, getRecordingContext, getRootDevice, getSaveCount, getSaveLayerStrategy, getSurface, isClipEmpty, isClipRect, makeSurface, onClipRect, onDiscard, onGetImageInfo, onNewSurface, quickReject, quickReject, resetMatrix, restore, restoreToCount, rotate, rotate, save, saveLayer, saveLayer, saveLayer, saveLayer, saveLayerAlpha, saveLayerAlpha, scale, scale, scale, setMatrix, shear, shear, translate, translate, willRestore, willSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoDrawCanvas

    public NoDrawCanvas(int width, int height)

- ## Method Details

  - ### onDrawPaint

    protected void onDrawPaint(Paint paint)
    Overrides:
      `onDrawPaint` in class `Canvas`

  - ### onDrawPoints

    protected void onDrawPoints(int mode, float[] pts, int offset, int count, Paint paint)
    Overrides:
      `onDrawPoints` in class `Canvas`

  - ### onDrawLine

    protected void onDrawLine(float x0, float y0, float x1, float y1, int cap, float width, Paint paint)
    Overrides:
      `onDrawLine` in class `Canvas`

  - ### onDrawRect

    protected void onDrawRect(Rect2fc r, Paint paint)
    Overrides:
      `onDrawRect` in class `Canvas`

  - ### onDrawRoundRect

    protected void onDrawRoundRect(RoundRect rr, Paint paint)
    Overrides:
      `onDrawRoundRect` in class `Canvas`

  - ### onDrawCircle

    protected void onDrawCircle(float cx, float cy, float radius, Paint paint)
    Overrides:
      `onDrawCircle` in class `Canvas`

  - ### onDrawArc

    protected void onDrawArc(float cx, float cy, float radius, float startAngle, float sweepAngle, int cap, float width, Paint paint)
    Overrides:
      `onDrawArc` in class `Canvas`

  - ### onDrawPie

    protected void onDrawPie(float cx, float cy, float radius, float startAngle, float sweepAngle, Paint paint)
    Overrides:
      `onDrawPie` in class `Canvas`

  - ### onDrawChord

    protected void onDrawChord(float cx, float cy, float radius, float startAngle, float sweepAngle, Paint paint)
    Overrides:
      `onDrawChord` in class `Canvas`

  - ### onDrawImageRect

    protected void onDrawImageRect(@RawPtr @RawPtr Image image, Rect2fc src, Rect2fc dst, SamplingOptions sampling, Paint paint, int constraint)
    Overrides:
      `onDrawImageRect` in class `Canvas`

  - ### onDrawTextBlob

    protected void onDrawTextBlob(TextBlob blob, float originX, float originY, Paint paint)
    Overrides:
      `onDrawTextBlob` in class `Canvas`

  - ### onDrawGlyphRunList

    protected void onDrawGlyphRunList(GlyphRunList glyphRunList, Paint paint)
    Overrides:
      `onDrawGlyphRunList` in class `Canvas`

  - ### onDrawVertices

    protected void onDrawVertices(Vertices vertices, @SharedPtr @SharedPtr Blender blender, Paint paint)
    Overrides:
      `onDrawVertices` in class `Canvas`